include:
  - project: 'gitlab-ci-utils/gitlab-ci-templates'
    ref: 38.1.2
    file:
      - '/collections/Npm-Package-Base.gitlab-ci.yml'
      - '/templates/Lint-Npm-Lockfile-Stylelint.gitlab-ci.yml'

# Only CSS is examples which have deliberately invalid CSS to trigger rules
lint_css:
  rules:
    - when: never

npm_publish:
  environment:
    url: https://www.npmjs.com/package/@aarongoldenthal/stylelint-config-standard
